export declare enum LoggerLevel {
    TRACE = 10,
    DEBUG = 20,
    INFO = 30,
    WARN = 40,
    ERROR = 50,
    FATAL = 60
}
export declare class SFPowerkit {
    private static logger;
    private static defaultFolder;
    private static projectDirectories;
    private static pluginConfig;
    private static isJsonFormatEnabled;
    static setLogLevel(logLevel: string, isJsonFormatEnabled: boolean): void;
    static getProjectDirectories(): Promise<string[]>;
    static getDefaultFolder(): Promise<string>;
    static setDefaultFolder(defaultFolder: string): void;
    static getConfig(): Promise<any>;
    static getApiVersion(): Promise<any>;
    /**
     * Print log only if the log level for this commamnd matches the log level for the message
     * @param message Message to print
     * @param messageLoglevel Log level for the message
     */
    static log(message: any, logLevel: LoggerLevel): void;
}
